Loading...
Searching...
No Matches
form_expr_quadrature_on_sides< Expr >

## Detailed Description

template<class Expr>
class rheolef::details::form_expr_quadrature_on_sides< Expr >

Definition at line 241 of file form_expr_quadrature.h.

## Public Types

typedef geo_element::size_type | size_type
typedef Expr::memory_type | memory_type
typedef Expr::value_type | result_hint
typedef Expr::value_type | value_type
typedef scalar_traits< value_type >::type | scalar_type
typedef float_traits< value_type >::type | float_type
typedef space_basic< float_type, memory_type > | space_type
typedef geo_basic< float_type, memory_type > | geo_type
typedef Expr::vf_tag_type | vf_tag_type
typedef details::dual_vf_tag< vf_tag_type >::type | vf_dual_tag_type
typedef form_expr_quadrature_on_element< Expr > | self_type
typedef form_expr_quadrature_on_element< typename Expr::dual_self_type > | dual_self_type
typedef Expr::maybe_symmetric::type | maybe_symmetric

## Public Member Functions

template<class Sfinae = typename std::enable_if<is_form_expr_v2_variational_arg<Expr>::value, Expr>::type>
| form_expr_quadrature_on_sides (const Expr &expr)
const space_type & | get_trial_space () const
const space_type & | get_test_space () const
size_type | n_derivative () const
void | initialize (const geo_basic< float_type, memory_type > &omega_K, const integrate_option &iopt)
void | initialize (const band_basic< float_type, memory_type > &gh, const integrate_option &iopt)
template<class Value >
void | evaluate (const geo_basic< float_type, memory_type > &omega_K, const geo_element &K, Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > &ak) const
template<class Value >
bool | valued_check () const

## Static Public Attributes

static const space_constant::valued_type | valued_hint = space_constant::valued_tag_traits<value_type>::value

## Protected Attributes

Expr | _expr
piola_on_pointset< float_type > | _pops
bool | _ignore_sys_coord
Eigen::Tensor< float_type, 3 > | _value_i
std::vector< size_type > | _dis_inod_S
tensor_basic< float_type > | _DF

## Member Typedef Documentation

## size_type

template<class Expr >

typedef geo_element::size_type size_type

Definition at line 245 of file form_expr_quadrature.h.

## memory_type

template<class Expr >

typedef Expr::memory_type memory_type

Definition at line 246 of file form_expr_quadrature.h.

## result_hint

template<class Expr >

typedef Expr::value_type result_hint

Definition at line 247 of file form_expr_quadrature.h.

## value_type

template<class Expr >

typedef Expr::value_type value_type

Definition at line 248 of file form_expr_quadrature.h.

## scalar_type

template<class Expr >

typedef scalar_traits<value_type>::type scalar_type

Definition at line 249 of file form_expr_quadrature.h.

## float_type

template<class Expr >

typedef float_traits<value_type>::type float_type

Definition at line 250 of file form_expr_quadrature.h.

## space_type

template<class Expr >

typedef space_basic<float_type,memory_type> space_type

Definition at line 251 of file form_expr_quadrature.h.

## geo_type

template<class Expr >

typedef geo_basic<float_type,memory_type> geo_type

Definition at line 252 of file form_expr_quadrature.h.

## vf_tag_type

template<class Expr >

typedef Expr::vf_tag_type vf_tag_type

Definition at line 253 of file form_expr_quadrature.h.

## vf_dual_tag_type

template<class Expr >

typedef details::dual_vf_tag<vf_tag_type>::type vf_dual_tag_type

Definition at line 255 of file form_expr_quadrature.h.

## self_type

template<class Expr >

typedef form_expr_quadrature_on_element<Expr> self_type

Definition at line 256 of file form_expr_quadrature.h.

## dual_self_type

template<class Expr >

typedef form_expr_quadrature_on_element<typename Expr::dual_self_type> dual_self_type

Definition at line 258 of file form_expr_quadrature.h.

## maybe_symmetric

template<class Expr >

typedef Expr::maybe_symmetric::type maybe_symmetric

Definition at line 259 of file form_expr_quadrature.h.

## Constructor & Destructor Documentation

## form_expr_quadrature_on_sides()

template<class Expr >
template<class Sfinae >

form_expr_quadrature_on_sides | ( | const Expr & | expr | ) |

Definition at line 310 of file form_expr_quadrature.h.

## Member Function Documentation

## get_trial_space()

template<class Expr >

const space_type & get_trial_space | ( |  | ) | const

Definition at line 270 of file form_expr_quadrature.h.

## get_test_space()

template<class Expr >

const space_type & get_test_space | ( |  | ) | const

Definition at line 271 of file form_expr_quadrature.h.

## n_derivative()

template<class Expr >

size_type n_derivative | ( |  | ) | const

Definition at line 272 of file form_expr_quadrature.h.

## initialize() [1/2]

template<class Expr >

void initialize | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const integrate_option & | iopt
| ) |  |

Definition at line 321 of file form_expr_quadrature.h.

## initialize() [2/2]

template<class Expr >

void initialize | ( | const band_basic< float_type, memory_type > & | gh,
|  | const integrate_option & | iopt
| ) |  |

Definition at line 332 of file form_expr_quadrature.h.

## evaluate()

template<class Expr >
template<class Value >

void evaluate | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | K,
|  | Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | ak
| ) |  | const

Definition at line 345 of file form_expr_quadrature.h.

## valued_check()

template<class Expr >
template<class Value >

bool valued_check | ( |  | ) | const

Definition at line 286 of file form_expr_quadrature.h.

## Member Data Documentation

## valued_hint

template<class Expr >

const space_constant::valued_type valued_hint = space_constant::valued_tag_traits<value_type>::value

static

Definition at line 261 of file form_expr_quadrature.h.

## _expr

template<class Expr >

Expr _expr

mutable protected

Definition at line 293 of file form_expr_quadrature.h.

## _pops

template<class Expr >

piola_on_pointset<float_type> _pops

mutable protected

Definition at line 294 of file form_expr_quadrature.h.

## _ignore_sys_coord

template<class Expr >

bool _ignore_sys_coord

mutable protected

Definition at line 295 of file form_expr_quadrature.h.

## _value_i

template<class Expr >

Eigen::Tensor<float_type,3> _value_i

mutable protected

Definition at line 297 of file form_expr_quadrature.h.

## _dis_inod_S

template<class Expr >

std::vector<size_type> _dis_inod_S

mutable protected

Definition at line 298 of file form_expr_quadrature.h.

## _DF

template<class Expr >

tensor_basic<float_type> _DF

mutable protected

Definition at line 299 of file form_expr_quadrature.h.

The documentation for this class was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/main/lib/form_expr_quadrature.h